"""add ip as uniq id in users table

Revision ID: e4f56f0f81f0
Revises: ce009fd03961
Create Date: 2020-01-09 14:45:47.558724

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'e4f56f0f81f0'
down_revision = 'ce009fd03961'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('users', sa.Column('ip', postgresql.INET(), nullable=False))
    op.create_index(op.f('ix_users_ip'), 'users', ['ip'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_users_ip'), table_name='users')
    op.drop_column('users', 'ip')
    # ### end Alembic commands ###
